- [HTTP request](https://docs.cloud.google.com/tasks/docs/reference/rest/v2/projects.locations.queues/resume#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/tasks/docs/reference/rest/v2/projects.locations.queues/resume#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/tasks/docs/reference/rest/v2/projects.locations.queues/resume#body.request_body)
- [Response body](https://docs.cloud.google.com/tasks/docs/reference/rest/v2/projects.locations.queues/resume#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/tasks/docs/reference/rest/v2/projects.locations.queues/resume#body.aspect)
- [Try it!](https://docs.cloud.google.com/tasks/docs/reference/rest/v2/projects.locations.queues/resume#try-it)

Resume a queue.

This method resumes a queue after it has been `https://docs.cloud.google.com/tasks/docs/reference/rest/v2/projects.locations.queues#State.ENUM_VALUES.PAUSED` or `https://docs.cloud.google.com/tasks/docs/reference/rest/v2/projects.locations.queues#State.ENUM_VALUES.DISABLED`. The state of a queue is stored in the queue's `https://docs.cloud.google.com/tasks/docs/reference/rest/v2/projects.locations.queues#Queue.FIELDS.state`; after calling this method it will be set to `https://docs.cloud.google.com/tasks/docs/reference/rest/v2/projects.locations.queues#State.ENUM_VALUES.RUNNING`.

WARNING: Resuming many high-QPS queues at the same time can lead to target overloading. If you are resuming high-QPS queues, follow the 500/50/5 pattern described in [Managing Cloud Tasks Scaling Risks](https://cloud.google.com/tasks/docs/manage-cloud-task-scaling).

### HTTP request

`POST https://cloudtasks.googleapis.com/v2/{name=projects/*/locations/*/queues/*}:resume`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The queue name. For example: `projects/PROJECT_ID/location/LOCATION_ID/queues/QUEUE_ID` Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `cloudtasks.queues.resume` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/tasks/docs/reference/rest/v2/projects.locations.queues#Queue`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/cloud-tasks`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).